Subject: [bug#61483] [PATCH 0/5] Some basic Home Shepherd Services

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Fri, 17 Mar 2023 12:57:20 +0100

Ludovic Courtès writes:

Hello, 

> Jannneke Nieuwenhuizen <[email-masked]> skribis:
>
[..]
>> Well, it seems I added a dependency to the shepherd, module (shepherd
>> support), for things like
>>
>>     %user-runtime-dir
>
> I pushed a fix as be7e2bf7ebc10bb4e5808ddeabc4b914f575865f, tested with
> ‘guix home container’.

Thank you!

>> I locally applied the attached patch to add Shepherd as an input (not
>> sure if that would be OK), but now `make update-guix-package' fails:
>
> Guix in general on the “host side” should not depend on the Shepherd,
> there’s no reason to do so.
>
> The solution for Home or System services is to depend on the Shepherd
> but only in the run-time code stage.  This is what I did in
> be7e2bf7ebc10bb4e5808ddeabc4b914f575865f: code that needs to refer to
> ‘%user-runtime-dir’ is staged such that it will look up that variable at
> run time, when the user ‘shepherd’ process is started.

Oh, that's so nice!

> That’s really what we want here, because it also ensures that the code
> sees the right value for ‘%user-runtime-dir’ (otherwise it would see the
> configuration-time value, which could be different).
>
> Apologies for overlooking that!

Well, I also failed to see that I pulled in the Shepherd as a dependency
until sarg "complained" about a missing file on IRC.  Simply copied this
from my direct Shepherd solution, ugh.  Sorry!

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com